Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Member Functions
tlp::GlProgressBar Class Reference

`#include <GlProgressBar.h>`

Inheritance diagram for tlp::GlProgressBar:
[legend]
Collaboration diagram for tlp::GlProgressBar:
[legend]

List of all members.

## Public Member Functions

- GlProgressBar (const Coord &centerPosition, const unsigned int width, const unsigned int height, const Color &color)
- ~GlProgressBar ()
- void setComment (const std::string &msg)

## Protected Member Functions

- void progress_handler (int step, int max_step)

## Detailed Description

This class allows to display a progress bar in OpenGL

## Constructor & Destructor Documentation

tlp::GlProgressBar::GlProgressBar | ( | const Coord & | centerPosition,
|  | const unsigned int | width,
|  | const unsigned int | height,
|  | const Color & | color
| ) |  |

GlProgressBar constructor

Parameters:

  centerPosition | the position of the center of the frame containing the progress bar
  width | the width of the frame containing the progress bar
  height | the height of the frame containing the progress bar
  color | the color of the progress bar

tlp::GlProgressBar::~GlProgressBar | ( |  | ) |

## Member Function Documentation

void tlp::GlProgressBar::progress_handler | ( | int | step,
|  | int | max_step
| ) |  | `[protected]`

void tlp::GlProgressBar::setComment | ( | const std::string & | msg | ) | `[inline]`

This method allow to set a comment message above the progress bar

Parameters:

  msg | the text of the comment to display

Tulip Software by LaBRI Visualization Team 2001 - 2012